import { Action } from '@ngrx/store';
import { Interface } from '@overflow/model/net/nic';

export enum ActionType {
  Interfaces = '[app.environment] Interfaces',
  InterfacesSuccess = '[app.environment] InterfacesSuccess',
  InterfacesFailure = '[app.environment] InterfacesFailure',
}

export class Interfaces implements Action {
  readonly type = ActionType.Interfaces;

  constructor() { }
}

export class InterfacesSuccess implements Action {
  readonly type = ActionType.InterfacesSuccess;

  constructor(public payload: Interface[]) { }
}

export class InterfacesFailure implements Action {
  readonly type = ActionType.InterfacesFailure;

  constructor(public payload: { error: any }) { }
}


export type Actions =
  | Interfaces
  | InterfacesSuccess
  | InterfacesFailure
  ;
